import request from '@/utils/request'

// 查询年度考核打分记录列表
export function listHis(query) {
  return request({
    url: '/shiftmgr/his/list',
    method: 'get',
    params: query
  })
}

// 查询年度考核打分记录详细
export function getHis(id) {
  return request({
    url: '/shiftmgr/his/' + id,
    method: 'get'
  })
}

// 新增年度考核打分记录
export function addHis(data) {
  return request({
    url: '/shiftmgr/his',
    method: 'post',
    data: data
  })
}

// 修改年度考核打分记录
export function updateHis(data) {
  return request({
    url: '/shiftmgr/his',
    method: 'put',
    data: data
  })
}

// 删除年度考核打分记录
export function delHis(id) {
  return request({
    url: '/shiftmgr/his/' + id,
    method: 'delete'
  })
}

// 导出年度考核打分记录
export function exportHis(query) {
  return request({
    url: '/shiftmgr/his/export',
    method: 'get',
    params: query
  })
}